add warning about new expression parser